preremove revision 4496171313bed39e96f21bc2f9faf2868e267ae3
#! /bin/sh
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.
#
# ident "%Z%%M% %I% %E% SMI"
#
#
# Preremove script for SUNWn2cp.v.
#
# This script removes the hardware provider section for the n2cp
# driver from /etc/crypto/kcf.conf
#
DRV=n2cp
NAMEMAJOR="${BASEDIR}/etc/name_to_major"
#
# Determine if we are on an alternate BASEDIR
#
if [ "${BASEDIR:=/}" = "/" ]
then
REM_DRV="/usr/sbin/rem_drv"
else
REM_DRV="/usr/sbin/rem_drv -b ${BASEDIR}"
fi
#
# Remove the driver, but only if this has not already been done.
#
grep -w "${DRV}" ${NAMEMAJOR} > /dev/null 2>&1
if [ $? -eq 0 ]; then
${REM_DRV} ${DRV} || exit 1
fi
pkg_start="# Start $PKGINST"
pkg_end="# End $PKGINST"
kcfconf=${BASEDIR}/etc/crypto/kcf.conf
tmpfile=/tmp/$$kcfconf
error=no
#
# If /etc/crypto/kcf.conf doesn't exist, bail immediately
#
if [ ! -f "$kcfconf" ]
then
echo "$0: ERROR - $kcfconf doesn't exist"
exit 2
fi
#
# Strip all entries belonging to this package
#
start=0
end=0
egrep -s "$pkg_start" $kcfconf && start=1
egrep -s "$pkg_end" $kcfconf && end=1
if [ $start -ne $end ] ; then
echo "$0: missing Start or End delimiters for $PKGINST in $kcfconf."
echo "$0: $kcfconf may be corrupted and was not updated."
error=yes
exit 2
fi
if [ $start -eq 1 ]
then
cp -p $kcfconf $tmpfile || error=yes
sed -e "/$pkg_start/,/$pkg_end/d" $kcfconf > $tmpfile || error=yes
if [ "$error" = no ]
then
mv $tmpfile $kcfconf || error=yes
fi
rm -f $tmpfile
else
exit 0
fi
if [ "$error" = yes ]
then
echo "$0: ERROR - failed to update $kcfconf."
exit 2
fi
exit 0